View Issue Details

IDProjectCategoryView StatusLast Update
0000075Bacula-Webbug-pgsqlpublic2013-11-19 15:05
ReportersrvtcsAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi686OSGNU/Linux DebianOS VersionSqueeze stable
Product Version5.2.10 
Target Version5.2.13Fixed in Version5.2.13 
Summary0000075: Special Character in db_name results in "database does not exist"
Descriptionbacula-web version 5.2.10
Apache/2.2.16 (Debian)
PHP 5.3.3-7+squeeze9
PosgreSQL module for PHP is installed and working (I use phpPgAdmin)

When a character other than letters is inserted in db_name parameter, the script does not find the database.
Steps To Reproduce- Insert a character other than letters in db_name parameter (example : "baculacatalog1")
- Refresh index.php in the browser
- Results :

Message: SQLSTATE[3D000]: Invalid catalog name: 7 ERROR: database "bacula" does not exist

Tested with other names like "bacula_bacaula1catalog" :
Message: SQLSTATE[3D000]: Invalid catalog name: 7 ERROR: database "bacula" does not exist

Not possible for me to change the database name.
Additional InformationAnyway, thanks for your work.
TagsNo tags attached.

Activities

davide

2013-01-04 12:19

manager   ~0000187

In order to help you, could you send me your config.php file please (without password indeed) ?
I'll make some test on my side and try to implement a fix for next version if it's related to the code.

Regards

davide

2013-01-23 18:17

manager   ~0000206

Hi,

If I send you the current development version of Bacula-Web, would you be able to test it and check it fix the issue you have ?

Thanks for your feedback

srvtcs

2013-01-24 14:00

reporter   ~0000207

Hi,

Sorry for my late answer. Yes i can test it if i have the latest dev version, without problems. I forgot to mention that we use pgpool for our DB cluster.

Here is our config.php :

<?php

// Show inactive clients (false by default)
$config['show_inactive_clients'] = true;

// Translations
$config['language'] = 'en_EN';

// PostgreSQL bacula catalog
$config[0]['label'] = 'Bacula1 Server';
$config[0]['host'] = 'IPADDR';
$config[0]['login'] = 'baculasrvtcs';
$config[0]['password'] = 'password';
$config[0]['db_name'] = 'baculacatalog1';
$config[0]['db_type'] = 'pgsql';
$config[0]['db_port'] = '5432';

?>

Thanks !

davide

2013-02-11 15:16

manager   ~0000219

Hi,

I've and found and fixed the bug in the code with database name.

Hopefully, a new "bug fix" release will be available by next few days.

Best regards

Davide

davide

2013-04-02 18:57

manager   ~0000233

Fixed in version 5.2.13

davide

2013-11-19 15:05

manager   ~0000314

Issue closed

Issue History

Date Modified Username Field Change
2012-12-07 18:53 srvtcs New Issue
2013-01-04 12:19 davide Note Added: 0000187
2013-01-04 12:19 davide Assigned To => davide
2013-01-04 12:19 davide Status new => feedback
2013-01-23 18:17 davide Note Added: 0000206
2013-01-24 14:00 srvtcs Note Added: 0000207
2013-01-24 14:00 srvtcs Status feedback => assigned
2013-02-11 15:16 davide Note Added: 0000219
2013-04-02 18:56 davide Product Version => 5.2.10
2013-04-02 18:56 davide Target Version => 5.2.13
2013-04-02 18:57 davide Note Added: 0000233
2013-04-02 18:57 davide Status assigned => resolved
2013-04-02 18:57 davide Fixed in Version => 5.2.13
2013-04-02 18:57 davide Resolution open => fixed
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000314